Bug 214625 - Add group_tool log function to group_tool and groupd
Add group_tool log function to group_tool and groupd
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Peterson
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2006-11-08 12:55 EST by Robert Peterson
Modified: 2009-04-17 15:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-17 15:35:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to add log function to group_tool and groupd (1.62 KB, patch)
2006-11-08 13:08 EST, Robert Peterson
no flags Details | Diff

  None (edit)
Description Robert Peterson 2006-11-08 12:55:45 EST
Description of problem:
Right now, group_tool and groupd have no means of adding log
entries from a test case.  That makes it very difficult to distinguish
group messages from various test cases.  We should add the ability to
put log messages between our test cases for debugging.

Version-Release number of selected component (if applicable):
RHEL5 Beta 1 with latest cluster suite

How reproducible:

Steps to Reproduce:
1. group_tool -log "End of Test"
Actual results:
group_tool misinterprets this as group_tool -v

Expected results:
group_tool should add "End of Test" to its internal log.

Additional info:
This is already coded in order to debug revolver problems on the smoke
cluster.  This way, revolver can dump a well-known string to the
groupd logs, and if a problem occurs, we can more easily see where the
previous test ended and the failing test began.
Comment 1 Robert Peterson 2006-11-08 13:08:21 EST
Created attachment 140683 [details]
Patch to add log function to group_tool and groupd
Comment 2 Robert Peterson 2006-11-09 11:16:57 EST
Committed to CVS HEAD and RHEL5, but not RHEL50 (RHEL5 Beta 2)
Comment 3 Nate Straz 2007-12-13 12:22:17 EST
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.
Comment 4 Robert Peterson 2009-04-17 15:35:22 EDT
This made it into 5.0, so I'm closing it CURRENT_RELEASE.

Note You need to log in before you can comment on or make changes to this bug.